### Method

# Foundry PathCache lookup

#### Declaration [src]

    gboolean
    foundry_path_cache_lookup (
      FoundryPathCache* self,
      const char* program_name,
      char** program_path
    )

#### Description [src]

`TRUE` is returned when an entry is found in the cache. That entry may be `NULL` indicating a negative cache entry.

#### Parameters

`program_name`

  Type: `const char*`

  The program name to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`program_path`

  Type: `char**`

  A location to store the `program_path` for `program_name`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `program_name` was found and `program_path` is set; otherwise `FALSE` is returned.